/*
    Theme Name: b2-child-ai
    Theme URI: http://example.com/
    Author: b2 Child
    Author URI: b2 Child
    Description: b2 Child
    Version: 1.0.0
    Template: b2
*/

/* 继承父主题样式 */
@import url("../b2/style.css");
@import url("../b2/Assets/fontend/style.css");

/* ========== 折叠/展开按钮样式 ========== */
.xControl {
    font-size: 14px;
    font-weight: bold;
    padding: 5px 0;
    background-color: #ffffff;
    border-bottom: 3px solid #ff0000;
    transition: all 0.3s linear;
    text-align: center;
    border-radius: 20px;
    box-shadow: 0px 0px 10px 1px #e6e6e6;
}
.xControl a {
    text-decoration: none;
    display: block;
}

/* ========== 文章内 H2 标题美化 ========== */
.single-article .entry-content > h2 {
    font-weight: bold;
    margin: 20px 0;
    padding: 5px 12px;
    border-left: 4px solid #fe5f84;
    border-bottom: 1px solid #fe5f84;
    font-size: 21px;
    left: -25px;
    position: inherit;
}
.entry-content > h2::before {
    content: '';
    margin-right: 0;
}

/* ========== 代码高亮滚动条美化 ========== */
.enlighter::-webkit-scrollbar {
    width: 8px;
    height: 6px;
}
.enlighter::-webkit-scrollbar-thumb {
    background-color: #1E90FF;
    background-image: -webkit-linear-gradient(45deg, rgba(50,205,50) 25%, transparent 25%, transparent 50%, rgba(50,205,50) 50%, rgba(50,205,50) 75%, transparent 75%, transparent);
}
.enlighter::-webkit-scrollbar-track-piece {
    background: #444;
}
.enlighter-default {
    border-radius: 8px;
    padding-top: 34px !important;
    margin-bottom: 20px !important;
    background: #444;
}
.enlighter-default .enlighter {
    max-height: 510px;
    overflow: auto;
    white-space: nowrap;
    display: block;
    background: #444;
}
.enlighter-default::after {
    content: " ";
    position: absolute;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    background: #c7c7c7;
    width: 12px;
    height: 12px;
    top: 0;
    left: 15px;
    margin-top: 11px;
    -webkit-box-shadow: 20px 0 #c7c7c7, 40px 0 #c7c7c7;
    box-shadow: 20px 0 #c7c7c7, 40px 0 #c7c7c7;
    transition-duration: .3s;
}
.enlighter-default:hover::after {
    background: #fc625d;
    -webkit-box-shadow: 20px 0 #fdbc40, 40px 0 #35cd4b;
    box-shadow: 20px 0 #fdbc40, 40px 0 #35cd4b;
}
.enlighter-t-monokai.enlighter-linenumbers div.enlighter>div::before {
    color: #ccc;
    background: #555;
}
.enlighter-default.enlighter-hover div.enlighter>div:hover:before {
    color: #fff;
}